MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026673Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2015-09-10 09:492016-12-09 16:39
Reportermsv 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.9.0 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0026673: BOPTools_AlgoTools::ComputeVV incorrectly checks two vertices for intersection
DescriptionThis method uses the condition:
D(P(V1), P(V2)) <= Tol(V1)+Tol(V2)
But must use the following:
D(P(V1), P(V2)) <= Tol(V1)+Tol(V2)+Precision::Confusion()

So, if we create a box with height equal to 2e-7+1e-14 the self-intersection checker must report an error. But now it does not report such error.
Steps To Reproducebox b -1 -1 0 2 2 2e-7+1e-14
bopargcheck b /RFPCS #F

Output:
Shape(s) seem(s) to be valid for BOP.

Must have the line:
Self-Intersections : YES
TagsNo tags attached.
Test case numberbugs modalg_6 bug26673
Attached Files

- Relationships

-  Notes
(0059376)
git (administrator)
2016-10-28 18:20

Branch CR26673 has been created by msv.

SHA-1: 77dee825340b8bcf6d97a401a5e18a4e06a4b3c4


Detailed log of new commits:

Author: msv
Date: Fri Oct 28 18:20:03 2016 +0300

    0026673: BOPTools_AlgoTools::ComputeVV incorrectly checks two vertices for intersection
    
    Test case has been created.
(0059377)
msv (developer)
2016-10-28 18:21

This bug is not reproduced in current master.
I have created test case in the branch CR26673.
(0059378)
msv (developer)
2016-10-28 18:22

Please integrate the test case and close the bug.
(0059782)
apv (tester)
2016-11-02 13:56

Test case has been verified
(0061178)
git (administrator)
2016-12-07 11:25

Branch CR26673 has been deleted by kgv.

SHA-1: 77dee825340b8bcf6d97a401a5e18a4e06a4b3c4

- Related Changesets
occt: master ff1541f1
Timestamp: 2016-10-28 15:20:03
Author: msv
Committer: apn
Details ] Diff ]
0026673: BOPTools_AlgoTools::ComputeVV incorrectly checks two vertices for intersection

Test case has been created.
add - tests/bugs/modalg_6/bug26673 Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-09-10 09:49 msv New Issue
2015-09-10 09:49 msv Assigned To => pkv
2015-09-10 09:50 msv Status new => assigned
2016-10-28 18:20 git Note Added: 0059376
2016-10-28 18:21 msv Assigned To pkv => msv
2016-10-28 18:21 msv Note Added: 0059377
2016-10-28 18:21 msv Status assigned => resolved
2016-10-28 18:22 msv Note Added: 0059378
2016-10-28 18:22 msv Assigned To msv => bugmaster
2016-10-28 18:22 msv Status resolved => reviewed
2016-11-02 13:52 apv Assigned To bugmaster => apv
2016-11-02 13:52 apv Test case number => bugs modalg_6 bug26673
2016-11-02 13:56 apv Note Added: 0059782
2016-11-02 13:56 apv Assigned To apv => bugmaster
2016-11-02 13:56 apv Status reviewed => tested
2016-11-03 17:10 apn Changeset attached => occt master ff1541f1
2016-11-03 17:10 apn Assigned To bugmaster => apn
2016-11-03 17:10 apn Status tested => verified
2016-11-03 17:10 apn Resolution open => fixed
2016-12-07 11:25 git Note Added: 0061178
2016-12-09 16:30 user533 Status verified => closed
2016-12-09 16:39 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker